🛠 Nette Utils: lightweight utilities for string & array manipulation, image handling, safe JSON encoding/decoding, validation, slug or strong password generating etc.


Keywords
json, paginator, validation, array, utility, password, nette, images, slugify, utf-8, string, core, unicode, datetime, array-manipulations, component, nette-framework, pagination, php, tools, trait, utilities
Licenses
BSD-3-Clause/GPL-2.0/GPL-3.0

Documentation

Nette Utility Classes

Downloads this Month Build Status Coverage Status Latest Stable Version License

Introduction

In package nette/utils you will find a set of useful classes for everyday use:

Documentation can be found on the website.

Installation

The recommended way to install is via Composer:

composer require nette/utils

It requires PHP version 5.6 and supports PHP up to 7.3. The dev-master version requires PHP 7.1.